routes/web.php
<?php

use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\Route;
use Illuminate\Support\Facades\Artisan;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/config-clear', function() {
    Artisan::call('config:clear');
    return 'Configuration cache cleared!';
});

Route::get('/config-cache', function() {
    Artisan::call('config:cache');
    return 'Configuration cache cleared! <br> Configuration cached successfully!';
});

Route::get('/cache-clear', function() {
    Artisan::call('cache:clear');
    return 'Application cache cleared!';
});

Route::get('/view-cache', function() {
    Artisan::call('view:cache');
    return 'Compiled views cleared! <br> Blade templates cached successfully!';
});

Route::get('/view-clear', function() {
    Artisan::call('view:clear');
    return 'Compiled views cleared!';
});

Route::get('/route-cache', function() {
    Artisan::call('route:cache');
    return 'Route cache cleared! <br> Routes cached successfully!';
});

Route::get('/route-clear', function() {
    Artisan::call('route:clear');
    return 'Route cache cleared!';
});

Route::get('/storage-link', function() {
    Artisan::call('storage:link');
    return 'The links have been created.';
});

Auth::routes();

Route::get('/', [App\Http\Controllers\HomeController::class, 'root'])->name('root');
// Route::get('/testing', [App\Http\Controllers\Pengaturan\PengaturanProfileController::class, 'index'])->name('index');

Route::resource('master-jenis-kegiatan', App\Http\Controllers\Master\MasterJenisKegiatanController::class);
Route::resource('master-jenis-usaha', App\Http\Controllers\Master\MasterJenisUsahaController::class);
Route::resource('master-pekerjaan', App\Http\Controllers\Master\MasterPekerjaanController::class);
Route::resource('master-agama', App\Http\Controllers\Master\MasterAgamaController::class);
Route::resource('master-kekeluargaan', App\Http\Controllers\Master\MasterKekeluargaanController::class);
Route::resource('master-status-perkawinan', App\Http\Controllers\Master\MasterStatusPerkawinanController::class);

//Update User Details
Route::post('/update-profile/{id}', [App\Http\Controllers\HomeController::class, 'updateProfile'])->name('updateProfile');
Route::post('/update-password/{id}', [App\Http\Controllers\HomeController::class, 'updatePassword'])->name('updatePassword');

// Route::get('{any}', [App\Http\Controllers\HomeController::class, 'index1'])->name('index1');

//Language Translation
Route::get('index/{locale}', [App\Http\Controllers\HomeController::class, 'lang']);
// Route::get('/pengaturan-profile', [\App\Http\Controllers\Pengaturan\PengaturanProfileController::class, 'index'])->name('index');
Route::resource('pengaturan-profile', App\Http\Controllers\Pengaturan\PengaturanProfileController::class);
Route::resource('pengaturan-kecamatan', App\Http\Controllers\Pengaturan\PengaturanKecamatanController::class);
Route::resource('pengaturan-desa', App\Http\Controllers\Pengaturan\PengaturanDesaController::class);
Route::resource('pengaturan-pengurus', App\Http\Controllers\Pengaturan\PengaturanPengurusController::class);


Route::resource('kelompok-list', App\Http\Controllers\Anggota\Kelompok\KelompokListController::class);
Route::resource('kelompok-anggota', App\Http\Controllers\Anggota\Kelompok\KelompokAnggotaController::class);
Route::resource('individu-anggota', App\Http\Controllers\Anggota\Individu\IndividuAnggotaController::class);

Route::resource('proposal-kelompok', App\Http\Controllers\Proposal\Kelompok\ProposalKelompokController::class);

Route::get('/tambah-anggota-proposal/{id}', [App\Http\Controllers\Proposal\Kelompok\ProposalKelompokController::class, 'tambahAnggotaKelompok'])->name('tambahAnggotaKelompok');

Route::post('/store-tambah-anggota-proposal', [App\Http\Controllers\Proposal\Kelompok\ProposalKelompokController::class, 'storeAnggotaKelompok'])->name('storeAnggotaKelompok');
Route::post('/add-proposal', [App\Http\Controllers\Proposal\Kelompok\ProposalKelompokController::class, 'addProposal'])->name('addProposal');
Route::post('/store-proposal', [App\Http\Controllers\Proposal\Kelompok\ProposalKelompokController::class, 'storeProposal'])->name('storeProposal');
Route::get('/proposal-finished/{id}', [App\Http\Controllers\Proposal\Kelompok\ProposalKelompokController::class, 'proposalFinished'])->name('proposalFinished');

Route::get('/verifikasi-proposal/{id}', [App\Http\Controllers\Proposal\Kelompok\VerifikasiProposalController::class, 'verifikasiProposal'])->name('verifikasiProposal');
Route::post('verifikasi-proposal-store', [App\Http\Controllers\Proposal\Kelompok\VerifikasiProposalController::class, 'verifikasiProposalStore'])->name('verifikasiProposalStore');
Route::post('verifikasi-proposal-add', [App\Http\Controllers\Proposal\Kelompok\VerifikasiProposalController::class, 'verifikasiProposalAdd'])->name('verifikasiProposalAdd');
Route::post('verifikasi-proposal-create', [App\Http\Controllers\Proposal\Kelompok\VerifikasiProposalController::class, 'verifikasiProposalStore'])->name('verifikasiProposalStore');

Route::get('verifikasi-finished/{id}', [App\Http\Controllers\Proposal\Kelompok\VerifikasiProposalController::class, 'verifikasiFinished'])->name('verifikasiFinished');


// Route::resource('/verifikasi-proposal', App\Http\Controllers\Proposal\Kelompok\VerifikasiProposalController::class);



Route::get('/dokumen-verifikasi/{id}', [App\Http\Controllers\Proposal\Kelompok\Dokumen\DokumenController::class, 'verifikasi'])->name('verifikasi');
Route::get('/dokumen-anggota-kelompok/{id}', [App\Http\Controllers\Proposal\Kelompok\Dokumen\DokumenController::class, 'anggotaKelompok'])->name('anggotaKelompok');
Route::get('/dokumen-surat-rekomendasi/{id}', [App\Http\Controllers\Proposal\Kelompok\Dokumen\DokumenController::class, 'suratRekomendasi'])->name('suratRekomendasi');
Route::get('/dokumen-permohonan-kredit/{id}', [App\Http\Controllers\Proposal\Kelompok\Dokumen\DokumenController::class, 'permohonanKredit'])->name('permohonanKrefit');






// Route::get('provinces', 'DependentDropdownController@provinces')->name('provinces');
Route::get('/provinces', [\App\Http\Controllers\DependantDropdownController::class, 'provinces'])->name('provinces');
Route::get('/cities', [\App\Http\Controllers\DependantDropdownController::class, 'cities'])->name('cities');
Route::get('/districts', [\App\Http\Controllers\DependantDropdownController::class, 'districts'])->name('districts');
Route::get('/villages', [\App\Http\Controllers\DependantDropdownController::class, 'villages'])->name('villages');

app/Http/Controllers/Master/MasterAgamaController.php
<?php

namespace App\Http\Controllers\Master;

use Carbon\Carbon;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\DB;
use App\Http\Controllers\Controller;

class MasterAgamaController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        $data = DB::table('m_agama')->get();
        return view('Master.Agama.agamaShow', ['data' => $data])->with([
            'title' => 'Master Agama'
        ]);
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        return view('Master.Agama.agamaCreate')->with([
            'title' => 'Create Agama'
        ]);
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        $request->validate([
            'agama' => 'required|unique:m_agama,agama'
        ]);

        DB::table('m_agama')->insert([
            'agama' => $request->agama,
            'keterangan' => $request->keterangan,
            'created_at' => Carbon::now()
        ]);

        return redirect('master-agama')->with([
            'title' => 'Master Agama',
            'success' => 'Data Berhasil Ditambah'
        ]);
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        $data = DB::table('m_agama')->where('id',$id)->get();
        return view('Master.Agama.agamaEdit',['data' => $data])->with([
            'title' => 'Master Agama'
        ]);
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        DB::table('m_agama')->where('id',$id)->update([
            'agama' => $request->agama,
            'keterangan' => $request->keterangan,
            'updated_at' => Carbon::now()
        ]);

        return redirect('master-agama')->with([
            'title' => 'Master Agama',
            'success' => 'Data Berhasil Di Update'
        ]);
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        DB::table('m_agama')->where('id', $id)->delete();
        return redirect('master-agama')->with([
            'title' => 'Master Agama',
            'success' => 'Data Berhasil Dihapus'
        ]);
    }
}

app/Http/Controllers/Master/MasterJenisKegiatanController.php
<?php

namespace App\Http\Controllers\Master;

use Carbon\Carbon;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\DB;
use App\Http\Controllers\Controller;

class MasterJenisKegiatanController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        $data = DB::table('m_jenis_kegiatan')->get();
        return view('Master.JenisKegiatan.jenisKegiatanShow', ['data' => $data])->with([
            'title' => 'Master Jenis Kegiatan'
        ]);
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        return view('Master.JenisKegiatan.jenisKegiatanCreate')->with([
            'title' => 'Create Jenis Kegiatan'
        ]);
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        $request->validate([
            'jenisKegiatan' => 'required|unique:m_jenis_kegiatan,jenis_kegiatan'
        ]);

        DB::table('m_jenis_kegiatan')->insert([
            'jenis_kegiatan' => $request->jenisKegiatan,
            'keterangan' => $request->keterangan,
            'created_at' => Carbon::now()
        ]);

        return redirect('master-jenis-kegiatan')->with([
            'title' => 'Master Jenis Kegiatan',
            'success' => 'Data Berhasil Ditambah'
        ]);
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        $data = DB::table('m_jenis_kegiatan')->where('id',$id)->get();
        return view('Master.JenisKegiatan.jenisKegiatanEdit',['data' => $data])->with([
            'title' => 'Master Jenis Kegiatan'
        ]);
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        DB::table('m_jenis_kegiatan')->where('id',$id)->update([
            'jenis_kegiatan' => $request->jenisKegiatan,
            'keterangan' => $request->keterangan,
            'updated_at' => Carbon::now()
        ]);

        return redirect('master-jenis-kegiatan')->with([
            'title' => 'Master Jenis Kegiatan',
            'success' => 'Data Berhasil Di Update'
        ]);
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        DB::table('m_jenis_kegiatan')->where('id', $id)->delete();
        return redirect('master-jenis-kegiatan')->with([
            'title' => 'Master Jenis Kegiatan',
            'success' => 'Data Berhasil Dihapus'
        ]);
    }
}

app/Http/Controllers/Master/MasterJenisUsahaController.php
<?php

namespace App\Http\Controllers\Master;

use Carbon\Carbon;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\DB;
use App\Http\Controllers\Controller;

class MasterJenisUsahaController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        $data = DB::table('m_jenis_usaha')->get();
        return view('Master.JenisUsaha.jenisUsahaShow', ['data' => $data])->with([
            'title' => 'Master Jenis Usaha'
        ]);
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        return view('Master.JenisUsaha.jenisUsahaCreate')->with([
            'title' => 'Create Jenis Usaha'
        ]);
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        $request->validate([
            'jenisUsaha' => 'required|unique:m_jenis_usaha,jenis_usaha'
        ]);

        DB::table('m_jenis_usaha')->insert([
            'jenis_usaha' => $request->jenisUsaha,
            'keterangan' => $request->keterangan,
            'created_at' => Carbon::now()
        ]);

        return redirect('master-jenis-usaha')->with([
            'title' => 'Master Jenis Usaha',
            'success' => 'Data Berhasil Ditambah'
        ]);
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        $data = DB::table('m_jenis_usaha')->where('id',$id)->get();
        return view('Master.JenisUsaha.jenisUsahaEdit',['data' => $data])->with([
            'title' => 'Master Jenis Usaha'
        ]);
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        DB::table('m_jenis_usaha')->where('id',$id)->update([
            'jenis_usaha' => $request->jenisUsaha,
            'keterangan' => $request->keterangan,
            'updated_at' => Carbon::now()
        ]);

        return redirect('master-jenis-usaha')->with([
            'title' => 'Master Jenis Usaha',
            'success' => 'Data Berhasil Di Update'
        ]);
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        DB::table('m_jenis_usaha')->where('id', $id)->delete();
        return redirect('master-jenis-usaha')->with([
            'title' => 'Master Jenis Usaha',
            'success' => 'Data Berhasil Dihapus'
        ]);
    }
}

resources/views/Master/Kekeluargaan/kekeluargaanCreate.blade.php
@extends('layouts.master')

@section('title'){{$title}} @endsection

@section('css')
<!-- select2 css -->
<link href="{{ url('assets/libs/select2/select2.min.css') }}" rel="stylesheet" type="text/css" />

<!-- dropzone css -->
<link href="{{ url('assets/libs/dropzone/dropzone.min.css') }}" rel="stylesheet" type="text/css" />
@endsection

@section('content')

@component('components.breadcrumb')
@slot('li_1') Master @endslot
@slot('title') Tambah Jenis Usaha @endslot
@endcomponent

<div class="row">
    <div class="col-12">
        <div class="card">
            <div class="card-body">
                @if ($errors->any())
                <div class="alert alert-danger">
                    <strong>Whoops!</strong> There were some problems with your input.<br><br>
                    <ul>
                        @foreach ($errors->all() as $error)
                        <li>{{ $error }}</li>
                        @endforeach
                    </ul>
                </div>
                @endif
                <form action="{{ route('master-kekeluargaan.store') }}" method="post" class="custom-validation">
                    @csrf
                    <div class="row">
                        <div class="col-md-6 mb-3">
                            <label for="jenisKegiatan">Keluarga</label>
                            <input type="text" class="form-control" name="keluarga" id="pekerjaan" required>
                        </div>
                        <div class="col-md-6 mb-3">
                            <label for="keterangan">Keterangan</label>
                            <input id="keterangan" name="keterangan" type="text" class="form-control">
                        </div>
                        <div class="d-flex flex-wrap gap-2">
                            <button type="submit" class="btn btn-primary waves-effect waves-light">Save Changes</button>
                            <button type="button" class="btn btn-secondary waves-effect waves-light">Cancel</button>
                        </div>
                    </div>
                </form>
            </div>
        </div>
    </div>
</div>

<!-- end row -->

@endsection
@section('script')


<!-- select 2 plugin -->
<script src="{{ url('assets/libs/select2/select2.min.js') }}"></script>

<!-- dropzone plugin -->
<script src="{{ url('assets/libs/dropzone/dropzone.min.js') }}"></script>

<!-- init js -->
<script src="{{ url('assets/js/pages/ecommerce-select2.init.js') }}"></script>
<script src="{{ URL::asset('/assets/libs/parsleyjs/parsleyjs.min.js') }}"></script>
<script src="{{ URL::asset('/assets/js/pages/form-validation.init.js') }}"></script>
<script type="text/javascript">
    $('#desa').change(function () {
        var desa = $('#desa').val();
        if (desa == 'other') {
            $('#fieldLainnya').show();
            $('#desaLainnya').attr('required', true);
        } else {
            $('#fieldLainnya').hide();
            $('#desaLainnya').val('');
            $('#desaLainnya').attr('required', false);
        }
    })

</script>

@endsection

resources/views/Master/Kekeluargaan/kekeluargaanEdit.blade.php
@extends('layouts.master')

@section('title'){{$title}} @endsection

@section('css')
<!-- select2 css -->
<link href="{{ url('assets/libs/select2/select2.min.css') }}" rel="stylesheet" type="text/css" />

<!-- dropzone css -->
<link href="{{ url('assets/libs/dropzone/dropzone.min.css') }}" rel="stylesheet" type="text/css" />
@endsection

@section('content')

@component('components.breadcrumb')
@slot('li_1') Master @endslot
@slot('title') Edit Jenis Kegiatan @endslot
@endcomponent


<div class="row">
    <div class="col-12">
        <div class="card">
            <div class="card-body">
                @if ($errors->any())
                <div class="alert alert-danger">
                    <strong>Whoops!</strong> There were some problems with your input.<br><br>
                    <ul>
                        @foreach ($errors->all() as $error)
                        <li>{{ $error }}</li>
                        @endforeach
                    </ul>
                </div>
                @endif
                @foreach ($data as $data )

                <form action="{{ route('master-kekeluargaan.update',$data->id) }}" method="post" class="custom-validation">
                    @csrf
                    @method('PUT')
                    <div class="row">
                        <div class="col-md-6 mb-3">
                            <label for="jenisKegiatan">Keluarga</label>
                            <input type="text" class="form-control" name="keluarga" id="pekerjaan" value="{{ $data->keluarga }}" required>
                        </div>
                        <div class="col-md-6 mb-3">
                            <label for="keterangan">Keterangan</label>
                            <input id="keterangan" name="keterangan" type="text" class="form-control" value="{{ $data->keterangan }}">
                        </div>
                        <div class="d-flex flex-wrap gap-2">
                            <button type="submit" class="btn btn-primary waves-effect waves-light">Save Changes</button>
                            <button type="button" class="btn btn-secondary waves-effect waves-light">Cancel</button>
                        </div>
                    </div>
                </form>
                @endforeach
            </div>
        </div>
    </div>
</div>
<!-- end row -->

@endsection
@section('script')


<!-- select 2 plugin -->
<script src="{{ url('assets/libs/select2/select2.min.js') }}"></script>

<!-- dropzone plugin -->
<script src="{{ url('assets/libs/dropzone/dropzone.min.js') }}"></script>

<!-- init js -->
<script src="{{ url('assets/js/pages/ecommerce-select2.init.js') }}"></script>
<script src="{{ URL::asset('/assets/libs/parsleyjs/parsleyjs.min.js') }}"></script>
<script src="{{ URL::asset('/assets/js/pages/form-validation.init.js') }}"></script>
<script type="text/javascript">
    $('#desa').change(function () {
        var desa = $('#desa').val();
        if (desa == 'other') {
            $('#fieldLainnya').show();
            $('#desaLainnya').attr('required', true);
        } else {
            $('#fieldLainnya').hide();
            $('#desaLainnya').val('');
            $('#desaLainnya').attr('required', false);
        }
    })

</script>

@endsection

resources/views/Master/Kekeluargaan/kekeluargaanShow.blade.php
@extends('layouts.master')

@section('title') {{ $title }} @endsection

@section('css')
    <!-- DataTables -->
    <link href="{{ URL::asset('/assets/libs/datatables/datatables.min.css') }}" rel="stylesheet" type="text/css" />
@endsection

@section('content')

    @component('components.breadcrumb')
        @slot('li_1') Master @endslot
        @slot('title') Kekeluargaan @endslot
    @endcomponent

    <div class="row">
        <div class="col-12">
            <div class="card">
                <div class="card-body">
                    @if ($message = Session::get('success'))
                    <div class="alert border-0 border-start border-5 border-primary alert-dismissible fade show">
                        <div>{{ $message }}</div>
                    </div>
	                @endif
                    {{-- <h4 class="card-title">Default Datatable</h4>
                    <p class="card-title-desc">DataTables has most features enabled by
                        default, so all you need to do to use it with your own tables is to call
                        the construction function: <code>$().DataTable();</code>.
                    </p> --}}
                    <p>


                        <a class="btn btn-primary btn-sm" href="{{ route('master-kekeluargaan.create') }}">Tambah</a>
                    </p>
                    <table id="datatable" class="table table-bordered dt-responsive  nowrap w-100">
                        <thead>
                            <tr>
                                <th>No</th>
                                <th>Keluarga</th>
                                <th>Keterangan</th>
                                <th>Action</th>
                            </tr>
                        </thead>

                        @php
                            $i = 1;
                        @endphp
                        <tbody>
                            @foreach ($data as $data )
                            <tr>
                                <td>{{ $i++ }}</td>
                                <td>{{ $data->keluarga }}</td>
                                <td>{{ $data->keterangan }}</td>
                                <td>
                                    <form action="{{ route('master-kekeluargaan.destroy',$data->id) }}" method="POST">
                                    <a class="btn btn-outline-primary btn-sm" href="{{ route('master-kekeluargaan.edit',$data->id) }}">Edit</a>
                                        @csrf
                                        @method('DELETE')
                                        <button type="submit" class="btn btn-outline-danger btn-sm">Delete</button>
                                    </form>
                                </td>
                            </tr>
                            @endforeach
                        </tbody>
                    </table>

                </div>
            </div>
        </div> <!-- end col -->
    </div> <!-- end row -->



@endsection
@section('script')
    <!-- Required datatable js -->
    <script src="{{ URL::asset('/assets/libs/datatables/datatables.min.js') }}"></script>
    <script src="{{ URL::asset('/assets/libs/jszip/jszip.min.js') }}"></script>
    <script src="{{ URL::asset('/assets/libs/pdfmake/pdfmake.min.js') }}"></script>
    <!-- Datatable init js -->
    <script src="{{ URL::asset('/assets/js/pages/datatables.init.js') }}"></script>
@endsection